<!-- Copyright (c) Vincent Dardel, <vindarez@mailz.org>,  Abelujo Developers-->
<!-- See the COPYRIGHT file at the top-level directory of this distribution-->
<!-- Abelujo is free software: you can redistribute it and/or modify-->
<!-- it under the terms of the GNU Affero General Public License as published by-->
<!-- the Free Software Foundation, either version 3 of the License, or-->
<!-- (at your option) any later version.-->
<!-- Abelujo is distributed in the hope that it will be useful,-->
<!-- but WITHOUT ANY WARRANTY; without even the implied warranty of-->
<!-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the-->
<!-- GNU Affero General Public License for more details.-->
<!-- You should have received a copy of the GNU Affero General Public License-->
<!-- along with Abelujo.  If not, see <http://www.gnu.org/licenses/>.-->

{% extends "base.html" %}

{% block content %}
{% load i18n %}
{% load bootstrap3 %}
{% bootstrap_css %}
{% bootstrap_javascript %}
{% load ngfilter %}

<style>@media print {
    .noprint {
        display: none;
    }
    .onlyprint {
        display: block;
    }
 }

 @media screen {
     .noprint {
         display: block;
     }
     .onlyprint {
         display: none;
     }
 }
</style>

{% get_current_language as LANGUAGE_CODE %}

<script type="text/ng-template" id="customTemplate.html">
  <a>
    <table>
      <tr>
        <td>
          <img src="{{ 'match.model.item.cover' | ng }}" width="24" style="padding-right: 3px">
        </td>
        <td>
          <div ng-bind-html="match.label | uibTypeaheadHighlight:query"></div>
          <span style="font-size: 80%">
            <span> {{ 'match.model.item.pubs_repr' | ng }} </span>
            <span> &bull; {{ 'match.model.item.price_fmt' | ng }} </span>
            <span ng-show="match.model.item.presedit"> &bull; {{ 'match.model.item.presedit' | ng }}</span>
          </span>
  </a>
        </td>
      </tr>
    </table>
</script>

<h3 class="noprint">
  <span>
  {% trans "Selling cards" %}
  </span>
  <span style="padding-left: 2em; font-size: 60%; text-decoration: underline"><a style="color: grey" href="/{{ LANGUAGE_CODE }}/history/today/" target="_blank">{% trans "History" %}: {% trans "today" %} &#8618;</a>
  </span>
</h3>

<h3 class="onlyprint">{% if bookshop %} {{ bookshop.name }} {% endif %}</h3>
<div ng-controller="sellController" class="ng-cloak">
  <h4 class="onlyprint">{{ 'date | date: "yyyy-MM-dd HH:mm"' | ng }}</h4>
  <div class="noprint">
    <uib-alert ng-repeat="alert in alerts" type="{{ 'alert.level' | ng }}" close="closeAlert($item)" ng-click="closeAlert($item)">{{ 'alert.message' | ng }}

    </uib-alert>
  </div>

  <form method="post" novalidate="novalidate" class="noprint">
    <div class="row">
      <div class="col-md-3">
        <form>
          <p class="input-group">
            <input type="text" uib-datepicker-popup="{{"format"|ng}}" ng-model="date" is-open="opened" datepicker-options="dateOptions" ng-required="true" close-text="Close" tabindex="5" class="form-control"/>
	    <span class="input-group-btn">
              <button type="button" ng-click="open($event)" class="btn btn-default">
	        <i class="glyphicon glyphicon-calendar">
	        </i>
              </button>
	    </span>
          </p>
        </form>
      </div>
      <div class="col-md-4">
        <form>
          <p class="input-group">
	        <!-- typeahead-loading="loadingCards" -->
            <input id="client-input"
	        type="text"
	        ng-model="client_selected"
	        uib-typeahead="client.__repr__ for client in getClients($viewValue)"
	        typeahead-min-length="3"
	        typeahead-wait-ms="200"
	        typeahead-on-select="select_client($item)"
	        title="{% trans 'Use TAB to validate your choice, Enter to proceed.' %}"
	        id="client-input"
	        autocomplete="off"
	        placeholder="{% trans "Search clients" %}"
	        tabindex="1"
	        class="nullable form-control"/>

	    <span class="input-group-btn">
	      <a type="button" href="/databasesearch/client/add/" title="{% trans "Create" %} {% trans "client" %}" target="_blank" class="btn btn-default">
	        <i class="glyphicon glyphicon-plus">
	        </i>
	      </a>
	      <a role="button" title="{% trans "Create a bill for this client." %} {% trans "You can also create a bill after the transaction from the history page." %}" value="{% trans 'Bill' %}" ng-click="create_bill()" style="margin-left:1em;" class="btn btn btn-default">
	        <i class="glyphicon glyphicon-file">
	        </i>
	      </a>
	      <a role="button" title="{% trans "Lier à un bon de commande" %}" value="{% trans 'Bill' %}" ng-click="toggle_show_bon_de_commande()" style="margin-left:1em;" class="btn btn btn-default">
	        <i class="glyphicon glyphicon-paperclip">
	        </i>
	      </a>
	    </span>
          </p>
        </form>
      </div>
      <div class="col-md-3">
        <div class="btn-group">
          <button type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" class="btn btn-default dropdown-toggle">{% trans "Export" %}<span class="caret">
	  </span>
          </button>
          <ul class="dropdown-menu">
            <li>
	      <a href="#" ng-click="export_csv()">csv</a>
            </li>
          </ul>
        </div>
        <input type="button" value="{% trans 'Cancel' %}" ng-click="cancelCurrentData()" class="btn btn btn-default"/>
        <div class="btn-group">
	  <a role="button" href="http://abelujo.cc/docs/sell/" target="_blank" ng-click="focus_input()" title="{% trans "Read the documentation" %}" class="btn btn-default">
	    <i class="glyphicon glyphicon-question-sign">
	    </i>
	  </a>
        </div>
      </div>
    </div>{% if show_selling_places %}

    <div class="row noprint">
      <div class="col-md-3">
        <form>
          <label>{% trans "Selling place" %}</label>
          <select ng-model="place" ng-options="it.name for it in places" class="form-control">
	  </select>
        </form>
      </div>
    </div>{% endif %}

    <div class="row noprint">
      <div class="col-md-4">
        <div ng-show="show_bon_de_commande">
          <form>
            <input type="text" placeholder="bon de commande ID" ng-model="bon_de_commande_id" class="nullable form-control"/>
          </form>
        </div>
      </div>
    </div>
    <div class="row noprint">
      <div class="col-md-12">
        <div role="alert" ng-show="client.ongoing_reservations" class="alert alert-info">
          <div ng-show="client.ready_reservations">
	    <a href="{{ 'client.url' | ng }}" target="_blank">{{ 'client.repr' | ng }}</a>
	    <span>&nbsp; {% trans "a des réservations de disponibles" %}({{ 'client.ready_reservations' | ng }}/ {{ 'client.ongoing_reservations' | ng }})</span>
            <button ng-click="import_reservations(0)" class="btn">{% trans "Importer" %}</button>
            <button ng-click="import_reservations(1)" class="btn">{% trans "Tout Importer" %}</button>
          </div>
          <div ng-hide="client.ready_reservations">
	    <a href="{{ 'client.url' | ng }}" target="_blank">{{ 'client.repr' | ng }}</a>
	    <span>&nbsp; {% trans "a des réservations en cours mais aucune n'est prête" %} ({{ 'client.ready_reservations' | ng }} / {{ 'client.ongoing_reservations' | ng }})</span>
            <button ng-click="import_reservations(1)" class="btn">{% trans "Importer quand même" %}</button>
          </div>
        </div>
      </div>
    </div>
    <div class="row noprint">
      <div class="col-md-12">
        <form>
          <p class="input-group">
            <input type="text"
	                 typeahead-loading="loadingCards"
	                 ng-model="copy_selected"
	                 uib-typeahead="copy.repr for copy in getCards($viewValue)"
                         typeahead-template-url="customTemplate.html"
	                 typeahead-min-length="3"
	                 typeahead-wait-ms="300"
	                 typeahead-on-select="add_selected_card($item)"
	                 title="{% trans 'Use TAB to validate your choice, Enter to proceed.' %}"
	                 id="default-input"
	                 autocomplete="off"
	                 placeholder="{% trans "Search any isbn, search by keywords in your stock" %}"
	                 tabindex="2"
	                 class="nullable form-control"/>

	    <span class="input-group-btn">
              <button type="button" ng-click="open($event)" class="btn btn-default">
	        <i ng-show="loadingCards" class="glyphicon glyphicon-hourglass">
	        </i>
	        <i ng-hide="loadingCards" class="glyphicon glyphicon-search">
	        </i>
              </button>
	    </span>
          </p>
        </form>
      </div>
    </div>
  </form>

  <div style="margin-left: 1em" class="row noprint">
    <h3>{{ 'getTotalCopies() ' | ng }} {% trans "titles selected." %}
      <div ng-show="cards_selected.length">{% trans "Total:" %} {{ 'total_price ' | ng }} {{ 'cards_selected[0].currency' | ng }}</div>
    </h3>
    <span>Payer
      <input type="number" step="0.01" ng-model="total_payment_1" tabindex="3"/>
      <span>&nbsp; en</span>
    </span>
    <span ng-repeat="payment in payment_means">
      <input id="payment" type="submit" value="{{ 'payment.name' | ng }}" ng-click="sellCardsWith(payment)" tabindex="4" class="btn btn-success"/>
    </span>
  </div>

  <div ng-show="show_payment_2" style="margin-left: 1em" class="row noprint">
    <span>
      <span ng-show="total_payment_2 > 0">{% trans "Payer" %}
        <input type="number" step="0.01" ng-model="total_payment_2"/>
	<span>&nbsp; {% trans "en" %}</span>
      </span>
      <span ng-show="total_payment_2 < 0" style="margin-right: 3em">{% trans "Rendre" %} {{ '0 - total_payment_2' | ng }}</span>
    </span>
    <span ng-repeat="payment in payment_means">
      <input id="payment_2" type="submit" value="{{ 'payment.name' | ng }}" ng-click="sellCardsWith(payment)" class="btn btn-success"/>
    </span>
    <i ng-click="remove_payment_2()" style="margin-left: 1em" class="glyphicon glyphicon-remove mouse-pointer">
    </i>
  </div>

  <div class="row onlyprint">
    <h3>Total TTC: {{ 'total_price' | ng }} {{ 'cards_selected[0].currency' | ng }}</h3>
  </div>
  <div ng-show="cards_selected.length > 0" class="row noprint">
    <div class="col-md-5">
    </div>
    <div class="col-md-1">
    </div>
    <div class="col-md-1">
      <select ng-options="elt.name for elt in preferences.sell_discounts_with_labels" title="{% trans "Set this discount to all" %}" ng-model="discounts.global_discount" ng-change="discount_global()">
      </select>
    </div>
  </div>
  <div ng-show="isbns_not_found" ng-repeat="isbn in isbns_not_found" class="row">
    <h4 style="background-color: yellow" class="col-md-4">{{ 'isbn' | ng }} {% trans "was NOT FOUND" %}.<a target="_blank" href="/{{ 'language' | ng }}/stock/card/create">&nbsp;{% trans "Click to create." %}</a>
    </h4>
    <h4 class="col-md-1">
      <i ng-click="remove_isbn_not_found($index)" style="float: right;" class="glyphicon glyphicon-remove mouse-pointer">
      </i>
    </h4>
  </div>
  <div ng-show="cards_selected" ng-repeat="card in cards_selected" class="row">
    <h4 class="col-md-4">
      <a target="_blank" href="{{ 'card.get_absolute_url' | ng }}" class="noprint">{{ 'card.title' | ng }}</a>
      <div class="onlyprint">{{ 'card.title | limitTo:40' | ng }}</div>
    </h4>
    <div class="col-md-2 noprint">
      <p class="input-group">
        <label class="sr-only">{% trans "Price" %}</label>
        <input type="number" step="0.1" min="0" value="{{card.price_sold}}" ng-model="{% verbatim %} card.price_sold {% endverbatim %}" ng-change="{% verbatim %} updateTotalPrice() {% endverbatim %}" class="form-control"/>
	<span class="input-group-addon">{{ 'card.currency' | ng }}</span>
        <div ng-show="card.price_alert.price_changed">{% trans "ancien prix:" %} &nbsp; {{ 'card.price_alert.old_price' | ng }}</div>
      </p>
      <p class="onlyprint">{{ card.price_sold }}</p>
    </div>
    <div class="col-md-2 onlyprint">{{ 'card.price_sold' | ng }} {{ 'card.currency' | ng }}</div>
    <div class="col-md-1 noprint">
      <select ng-options="elt.name for elt in preferences.sell_discounts_with_labels" title="{% trans "Choose a discount" %}" ng-model="card.quick_discount" ng-change="discount_apply($index)">
      </select>
    </div>
    <div class="col-md-2 noprint">
      <p class="input-group">
        <label class="sr-only">{% trans "Quantity" %}</label>
	<span class="input-group-addon">X</span>
        <input type="number" min="-9" max="99" ng-model="{% verbatim %} card.quantity_sell {% endverbatim %}" ng-change="{% verbatim %} updateTotalPrice() {% endverbatim %}" class="form-control"/>
      </p>
    </div>

    <div class="col-md-2 noprint">
      <span>stock: {{ 'card.quantity' | ng }} => {{ 'card.quantity - card.quantity_sell' | ng }}</span>
      <span>&nbsp;<a title="{% trans "Remember to command this card. Add it to the list for later." %}" href="#" ng-click="do_card_command(card.id)" class="btn btn-default">
	<i class="glyphicon glyphicon-shopping-cart">
	</i>
	<span>&nbsp; x<span id="command{{ 'card.id' | ng }}">{{ 'card.quantity_in_command' | ng }}</span>
	</span>
      </a>
      </span>
    </div>
    <div class="col-md-1 noprint">
      <i ng-click="remove_from_selection($index)" style="float: right;" class="glyphicon glyphicon-remove mouse-pointer">
      </i>
    </div>
  </div>

  <div class="onlyprint">
    <div>--------------</div>
    <div>Rappel TVA: livres 5,50€, autres 20,0%</div>
  </div>
</div>

<script>window.addEventListener("beforeprint", function(event) {
    console.log("Hello print");
  });
</script>

<br/>

<div class="onlyprint">{% trans "Merci et à bientôt !" %}</div>{% if bookshop %}

<div class="onlyprint">{{ bookshop.website }}</div>
<div class="onlyprint">{{ bookshop.mobilephone }}</div>
<div class="onlyprint">{{ bookshop.telephone }}</div>
<div class="onlyprint">{{ bookshop.address1 }} {{ bookshop.address2 }} {{ bookshop.zip_code }} {{ bookshop.city }}</div>

{% endif %}
{% endblock content %}
